Ricky logorickyDocs

Retry a delivery

POST
/webhooks/{webhook_id}/deliveries/{delivery_id}/retry

Queues a failed delivery again with a fresh attempt budget. Ricky sends it within 15 minutes.

Scope: webhooks:manage.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An organization API key, rky_live_…, created in Settings → API. Send it only from a server.

Path Parameters

webhook_id*string

Webhook ID.

Formatuuid
delivery_id*string

Delivery ID.

Formatuuid

Response Body

Success.

application/json
  1. response
data*

One webhook delivery.

curl -X POST 'https://getricky.ai/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry'
{  "data": {    "id": "b5c6d7e8-f9a0-4b1c-9d2e-3f4a5b6c7d8e",    "event_type": "message.received",    "status": "pending",    "attempts": -9007199254740991,    "last_response_status": 200,    "last_error": null,    "created_at": "2026-10-14T15:30:00.000Z",    "next_attempt_at": "2026-10-14T15:30:00.000Z",    "delivered_at": "2026-10-14T15:30:00.000Z"  }}